| dfemix Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfeMix_Config Struct Reference
Overview

Mixer Config Structure. More...

## Data Fields
u32 | DeviceId
| Device Id. More...
metal_phys_addr_t | BaseAddr
| Device base address. More...
u32 | Mode
| [0,1] 0=downlink, 1=uplink, 2=switchable More...
u32 | NumAntenna
| [1,2,4,8] More...
u32 | MaxUseableCcids
| [2,4,8] More...
u32 | Lanes
| [1-8] More...
u32 | AntennaInterleave
| [1,2,4,8] More...
u32 | MixerCps
| [1,2,4] More...
u32 | NumAuxiliary
| [0-3] More...
u32 | DataIWidth
             [16,24] 16 for 16-bit sample data and 24 for
18-bit sample data. More...
u32 | DataOWidth
             [16,24] 16 for 16-bit sample data and 24 for
18-bit sample data. More...
u32 | TUserWidth
| [0-64] More...

## Detailed Description

Mixer Config Structure.

## Field Documentation

u32 XDfeMix_Config::AntennaInterleave

[1,2,4,8]

Referenced by XDfeMix_Configure().

metal_phys_addr_t XDfeMix_Config::BaseAddr

Device base address.

u32 XDfeMix_Config::DataIWidth

             [16,24] 16 for 16-bit sample data and 24 for

18-bit sample data.

Referenced by XDfeMix_Configure().

u32 XDfeMix_Config::DataOWidth

             [16,24] 16 for 16-bit sample data and 24 for

18-bit sample data.

Referenced by XDfeMix_Configure().

u32 XDfeMix_Config::DeviceId

Device Id.

u32 XDfeMix_Config::Lanes

[1-8]

Referenced by XDfeMix_Configure().

u32 XDfeMix_Config::MaxUseableCcids

[2,4,8]

Referenced by XDfeMix_AddCCExample(), XDfeMix_Configure(), XDfeMix_MoveCC(), and XDfeMix_MultiAddCCExample().

u32 XDfeMix_Config::MixerCps

[1,2,4]

Referenced by XDfeMix_Configure().

u32 XDfeMix_Config::Mode

[0,1] 0=downlink, 1=uplink, 2=switchable

Referenced by XDfeMix_Activate(), XDfeMix_Configure(), XDfeMix_Deactivate(), XDfeMix_GetCurrentCCCfgSwitchable(), XDfeMix_GetTriggersCfg(), XDfeMix_Initialize(), XDfeMix_SetAntennaGain(), XDfeMix_SetNextCCCfgAndTriggerSwitchable(), XDfeMix_SetTriggersCfg(), and XDfeMix_UpdateAntennaCfg().

u32 XDfeMix_Config::NumAntenna

[1,2,4,8]

Referenced by XDfeMix_Configure().

u32 XDfeMix_Config::NumAuxiliary

[0-3]

Referenced by XDfeMix_Configure().

u32 XDfeMix_Config::TUserWidth

[0-64]

Referenced by XDfeMix_Configure().